<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'luzuk-premium' ),
        // 'panel' => 'luzuk_premium_home_panel'
		'priority' =>20
	)
);

backgroundManager($wp_customize, 'contactusinn', 'luzuk_premium_contactus_section', $color='#fff;', get_template_directory_uri().'/images/contact.jpg', 'color');

lzCustomLable($wp_customize, 'luzuk_sec_imgovly', 'luzuk_premium_contactus_section', 'Image Overlay');

$wp_customize->add_setting(
	'cont_imgopacity',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '0.7', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'cont_imgopacity',
	array(
		'settings'      => 'cont_imgopacity',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Opacity', 'luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'luzuk_contactus_imgovlyClr', 'luzuk_premium_contactus_section', 'Overlay Color', '#292B2A');

lzCustomLable($wp_customize, 'luzuk_sec_leftpage', 'luzuk_premium_contactus_section', 'Left Side Box');

lzCustomLable($wp_customize, 'luzuk_sec_contctdetailsclr', 'luzuk_premium_contactus_section', 'Contact Details Settings ');

$wp_customize->add_setting(
	'contheading',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Get In Touch', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'contheading',
	array(
		'settings'      => 'contheading',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Contact Details Heading', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'conttext',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'With Us', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'conttext',
	array(
		'settings'      => 'conttext',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Contact Details Sub Heading', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_phone1',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '111-222-3333', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone1',
	array(
		'settings'      => 'luzuk_contactus_phone1',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No ', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_email',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'info@yourmail.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email',
	array(
		'settings'      => 'luzuk_contactus_email',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_address',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '38 Gloucester Rd Summit New Mexico, United States.', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_address',
	array(
		'settings'      => 'luzuk_contactus_address',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Address', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_leftbxopacity',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '0.47', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_leftbxopacity',
	array(
		'settings'      => 'luzuk_contactus_leftbxopacity',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Opacity', 'luzuk Premium' )
	)
);
 
lzCustomLable($wp_customize, 'luzuk_sec_leftpageclr', 'luzuk_premium_contactus_section', 'Left Side Box Color ');

addColorPalatOption($wp_customize, 'luzuk_contactus_lftbxovlyClr', 'luzuk_premium_contactus_section', 'Overlay Color', '#272932');

addColorPalatOption($wp_customize, 'luzuk_contactus_lftbxheadingClr', 'luzuk_premium_contactus_section', 'Heading Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_lftbxtextClr', 'luzuk_premium_contactus_section', 'Sub Heading Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_detail1stbgClr', 'luzuk_premium_contactus_section', 'Icon BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_dicnClr', 'luzuk_premium_contactus_section', 'Icon Color', '#272932');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemClr', 'luzuk_premium_contactus_section', 'Phone No. , Email, Address Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemhvClr', 'luzuk_premium_contactus_section', 'Email , Phone No. Hover Color', '#F69404');

lzCustomLable($wp_customize, 'luzuk_sec_rightpage', 'luzuk_premium_contactus_section', 'Right Side Box ');

$wp_customize->add_setting(
        'contactus_form_heading2',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'contactus_form_heading2',
        array(
            'settings'      => 'contactus_form_heading2',
            'section'       => 'luzuk_premium_contactus_section',
            'label'         => __( 'Form Setting ', 'luzuk-premium' ),
        )
    )
);


$wp_customize->add_setting(
	'luzuk_contactus_shortcode_lbl',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Contact Us', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode_lbl',
	array(
		'settings'      => 'luzuk_contactus_shortcode_lbl',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_shortcode',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '[your Shortcode]' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode',
	array(
		'settings'      => 'luzuk_contactus_shortcode',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Form Shortcode Here', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_sec_rightpageClr', 'luzuk_premium_contactus_section', 'Right Side Box Color');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtitleColor', 'luzuk_premium_contactus_section', 'Form Heading Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtitlebgColor', 'luzuk_premium_contactus_section', 'Form Heading BG Color', '#F69404');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbxbgColor', 'luzuk_premium_contactus_section', 'Form Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbxbrdColor', 'luzuk_premium_contactus_section', 'Form Box Border Color', '#F9880D');

addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelColor', 'luzuk_premium_contactus_section', 'Form Label Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtextplaceColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbgClr', 'luzuk_premium_contactus_section', 'Form Text & Placeholder BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formborderbottomColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Border Color', '#FDAF1B');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnColor', 'luzuk_premium_contactus_section', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnhoverColor', 'luzuk_premium_contactus_section', 'Form Button Text Hover Color', '#F69404');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbgColor', 'luzuk_premium_contactus_section', 'Form Button BG Color', '#F69404');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbghoverColor', 'luzuk_premium_contactus_section', 'Form Button BG Hover Color', '#272932');


// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('luzuk_contactus_iframe_lbl', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Heading($wp_customize, 'luzuk_contactus_iframe_lbl',
		array(
			'settings'      => 'luzuk_contactus_iframe_lbl',
			'section'       => 'luzuk_premium_contactus_section',
			'label'         => __( 'Contact Us Address', 'luzuk-premium' ),
		)
	)
);
// field for addeding the map code
$wp_customize->add_setting('luzuk_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add Your Map Embade Code'));
$wp_customize->add_control('luzuk_contactus_embade', array('settings'=>'luzuk_contactus_embade', 'section'=>'luzuk_premium_contactus_section','type'=>'textarea', 'label'=> __('Code For Map', 'luzuk-premium')));

